<!doctype html>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<html lang="fr" class="full-size">

<head>
  <meta charset="utf-8">
  <title>DataViz Formation</title>
  <link rel="stylesheet" href="./css/style.css">
  <link rel="stylesheet" href="./css/loader.css">
  <script src="https://d3js.org/d3.v4.js"></script>
  <script src="https://kit.fontawesome.com/b19e8d91d7.js" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body class="full-size">

    <nav class="navbar nav-dark">
    <a class="navbar-brand" href="./dataviz.html">
        <i class="fa fa-graduation-cap" aria-hidden="true"></i>
        DatavizFormationCH - <i style="font-size:medium">Reprenez le contrôle de votre carrière</i>
    </a>
    <div class="row">
        <a class="nav-link" id="changeViz" href="#">Voir les cantons</a>
        <a class="nav-link" href="./infos.html">À propos</a>
    </div>
    </nav>

    <div id="dataviz" style="height:100%">

    </div>

    <script src="./data/domains.js"></script>
    <script src="./data/cantons.js"></script>
    <script src="./js/dataviz.js"></script>
    <script>

        createDomainsView(domains);

        d3.select("#changeViz").on("click", function() {
            if (d3.select("#changeViz").text() == "Voir les domaines de formation") {
                d3.select("#dataviz").html(null);
                d3.select("#caption").remove();
                d3.select("#changeViz").text("Voir les cantons");
                createDomainsView(domains);
            } else {
                d3.select("#dataviz").html(null);
                d3.select("#caption").remove();
                d3.select("#changeViz").text("Voir les domaines de formation");
                createMapView(cantons);
            }
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
    </body>
</html>